package com.tanpu.community.api.beans;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@ApiModel(value="TopicDTO对象", description="话题")
public class TopicDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "话题名称")
    private String topicTitle;

    @ApiModelProperty(value = "是否置顶")
    private Integer isTop;

    @ApiModelProperty(value = "是否隐藏")
    private Integer isConceal;

    private String createBy;

    private LocalDateTime createTime;

    private String updateBy;

    private LocalDateTime updateTime;

    private Integer deleteTag;

    @ApiModelProperty(value = "帖子量")
    private Long themeAmount;

    @ApiModelProperty(value = "浏览量")
    private Long viewAmount;

    @ApiModelProperty(value = "点赞量")
    private Long likeAmount;

    @Override
    public String toString() {
        return "TopicEntity{" +
                "id=" + id +
                ", topicTitle=" + topicTitle +
                ", isTop=" + isTop +
                ", isConceal=" + isConceal +
                ", createBy=" + createBy +
                ", createTime=" + createTime +
                ", updateBy=" + updateBy +
                ", updateTime=" + updateTime +
                ", deleteTag=" + deleteTag +
                "}";
    }
}
