package com.tanpu.community.controller;

import com.alibaba.fastjson.JSONObject;
import com.google.gson.JsonObject;
import com.tanpu.community.api.beans.TopicDTO;
import com.tanpu.community.controller.convert.TopicConverter;
import com.tanpu.community.dao.entity.community.TopicEntity;
import com.tanpu.community.manager.TopicManager;
import io.swagger.annotations.ApiOperation;
import lombok.Value;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.MissingServletRequestParameterException;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@Slf4j
@RequestMapping(value = "/api/topic")
public class TopicController {

    @Autowired
    private TopicManager topicManager;

    @PostMapping(value = "/queryTopicList")
    @ApiOperation("查询所有的主题列表")
    @ResponseBody
    public List<TopicDTO> getAllTopList(@RequestBody String content){
        JSONObject params = JSONObject.parseObject(content);
        List<TopicEntity> allTopic = topicManager.getAllTopic();
        List<TopicDTO> topicDTOS = TopicConverter.convertToDTOs(allTopic);
        return topicDTOS;
    }

    @PostMapping(value="/insertTopic")
    @ResponseBody
    public String addTopic(@RequestBody String topicTitle){
        topicManager.insertTopic(topicTitle);
        return "success";
    }

    @PostMapping(value = "/setTop")
    @ResponseBody
    public String setTopTopic(@RequestBody String topicId,@RequestBody boolean setTop) throws MissingServletRequestParameterException {
        if (StringUtils.isEmpty(topicId)){
            throw new MissingServletRequestParameterException("topicId","Long");
        }
        topicManager.setTopTopic(topicId,setTop);
        return "success";
    }

    @PostMapping(value = "/setConceal")
    @ResponseBody
    public String setConceal(@RequestBody String topicId,@RequestBody boolean setConceal) throws MissingServletRequestParameterException {
        if (StringUtils.isEmpty(topicId)){
            throw new MissingServletRequestParameterException("topicId","Long");
        }
        topicManager.setTopicConceal(topicId,setConceal);
        return "success";
    }




}
