package com.tanpu.community.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.tanpu.community.dao.entity.community.TopicEntity;
import com.tanpu.community.dao.mapper.community.TopicMapper;
import org.springframework.cache.annotation.EnableCaching;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;


@Service
@EnableCaching
public class TopicService {

    @Resource
    private TopicMapper topicMapper;


    public List<TopicEntity> queryTopicList(){
        return topicMapper.selectList(new QueryWrapper<>());
    }

    public void addTopic(TopicEntity topicEntity){
        topicMapper.insert(topicEntity);
    }


    public void updateTopicToTop(String topicId){
        UpdateWrapper<TopicEntity> updateWrapper = new UpdateWrapper<>();
        updateWrapper.eq("id",topicId);
        updateWrapper.set("isTop",true);
        topicMapper.update(null,updateWrapper);
    }

    public void updateTopicNotTop(String topicId){
        UpdateWrapper<TopicEntity> updateWrapper = new UpdateWrapper<>();
        updateWrapper.eq("id",topicId);
        updateWrapper.set("isTop",false);
        topicMapper.update(null,updateWrapper);
    }

    public void updateTopicToConceal(String topicId){
        UpdateWrapper<TopicEntity> updateWrapper = new UpdateWrapper<>();
        updateWrapper.eq("id",topicId);
        updateWrapper.set("isConceal",true);
        topicMapper.update(null,updateWrapper);
    }

    public void updateTopicNotConceal(String topicId){
        UpdateWrapper<TopicEntity> updateWrapper = new UpdateWrapper<>();
        updateWrapper.eq("id",topicId);
        updateWrapper.set("isConceal",false);
        topicMapper.update(null,updateWrapper);
    }

    public TopicEntity queryById(String topicId) {
        return topicMapper.selectById(topicId);
    }
}
